Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2222897 - perl-String-License-0.0.9-1.fc39 FTBFS: Class :isa attribute requires a class but "String::License::Naming" is not one at .../String-License-v0.0.9/blib/lib/String/License/Naming/Custom.pm line 64
Summary: perl-String-License-0.0.9-1.fc39 FTBFS: Class :isa attribute requires a class...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-String-License
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact:
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-14 11:42 UTC by Petr Pisar
Modified: 2023-08-15 11:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-15 11:50:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 148507 0 None None None 2023-07-17 13:12:13 UTC

Description Petr Pisar 2023-07-14 11:42:45 UTC
perl-String-License-0.0.9-1.fc39 fails to build in Fedora 39 because the tests fail with perl 5.38.0 like this:

Class :isa attribute requires a class but "String::License::Naming" is not one at /builddir/build/BUILD/String-License-v0.0.9/blib/lib/String/License/Naming/Custom.pm line 64.
Compilation failed in require at /builddir/build/BUILD/String-License-v0.0.9/blib/lib/String/License.pm line 47.
BEGIN failed--compilation aborted at /builddir/build/BUILD/String-License-v0.0.9/blib/lib/String/License.pm line 47.
Compilation failed in require at t/basic-lib-no-RE2.t line 7.
BEGIN failed--compilation aborted at t/basic-lib-no-RE2.t line 7.
t/basic-lib-no-RE2.t .. 
Dubious, test returned 255 (wstat 65280, 0xff00)
No subtests run 

perl-5.38.0 splain explains:

    (F) When creating a subclass using the class :isa attribute, the
    named superclass must also be a real class created using the class
    keyword.


Note You need to log in before you can comment on or make changes to this bug.